%global pymodule_name openscap_report

Name:           openscap-report
Version:        0.1.3
Release:        1%{?dist}
Summary:        A tool for generating human-readable reports from (SCAP) XCCDF and ARF results

# The entire source code is LGPL-2.1+ and GPL-2.0+ and MIT except schemas/ and assets/, which are Public Domain
License:        LGPLv2+ and GPLv2+ and MIT and Public Domain
URL:            https://github.com/OpenSCAP/%{name}
Source0:        https://github.com/OpenSCAP/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

Provides:       bundled(patternfly) = 4

Requires:       python3-lxml
Requires:       redhat-display-fonts
Requires:       redhat-text-fonts

%global _description %{expand:
This package provides a command-line tool for generating
human-readable reports from SCAP XCCDF and ARF results.}

%description %_description


%prep
%autosetup -p1 -n %{name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel
sphinx-build -b man docs _build_docs



%install
%pyproject_install
%pyproject_save_files %{pymodule_name}
install -m 0644 -Dt %{buildroot}%{_mandir}/man1 _build_docs/oscap-report.1


%check
%tox

%files -f %{pyproject_files}
%{_mandir}/man1/oscap-report.*
%{_bindir}/oscap-report
%exclude %{python3_sitelib}/tests/
%license LICENSE


%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 23 2022 Packit <hello@packit.dev> - 0.1.3-0
- 0.1.3 (Jan Rodak)
- Change license tag (Jan Rodak)
- Enable propose downstream (Jan Rodak)
- Add test for Full text parser (Jan Rodak)
- Add reproducer file for testing (Jan Rodak)
- Fix sub-element references that do not exist (Jan Rodak)

* Tue Aug 02 2022 Jan Rodak <jrodak@redhat.com> - 0.1.2-1
- Fix problems found by package review.

* Mon Jun 06 2022 Jan Rodak <jrodak@redhat.com> - 0.1.1-0
- Initial version of the package.
